<?php
function di_blog_inline_css() {
	$custom_css = "";

	// for load icon
	if( get_theme_mod( 'loading_icon', '0' ) == '1' ) {

		if( get_theme_mod( 'loading_icon_img' ) ) {
			$icon_link =  esc_url( get_theme_mod( 'loading_icon_img' ) );
		} else {
			$icon_link =  esc_url( get_template_directory_uri() . '/assets/images/dib-loader.gif' );
		}

		$custom_css .= "
		.load-icon {
			position: fixed;
			left: 0px;
			top: 0px;
			width: 100%;
			height: 100%;
			z-index: 9999999;
			background: url( '" . $icon_link . "' ) center no-repeat #fff;
		}
		";
	}
	// for load icon END

	wp_add_inline_style( 'di-blog-style-core', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'di_blog_inline_css' );
