<?php

// Load the engine class file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/core/class-di-blog-engine.php';

// Load the actions and filters file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/core/actions-filters.php';

// Load the individual functions file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/core/individual-functions.php';

// Load inline css file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/core/inline-css.php';

// Load Nav walker.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/core/navwalker.php';

// Load the kirki plugin if not loaded.
if( ! class_exists( 'Kirki ') ) {
	require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/kirki/kirki/kirki.php';
}

// Load the kirki options file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/kirki/kirki-options.php';

// Load the tgm class file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/tgm/class-tgm-plugin-activation.php';

// Load the tgm options file.
require wp_normalize_path( trailingslashit( get_template_directory() ) ) . 'inc/tgm/tgm-options.php';



